/* 
 * Copyright (c) 2012, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * */


/*
 * ======== PROLOGUE ========
 */

#ifndef ti_uia_runtime_LogSnapshot__include
#define ti_uia_runtime_LogSnapshot__include

#ifndef __nested__
#define __nested__
#define ti_uia_runtime_LogSnapshot__top__
#endif

#ifdef __cplusplus
#define __extern extern "C"
#else
#define __extern extern
#endif

#define ti_uia_runtime_LogSnapshot___VERS 150


/*
 * ======== INCLUDES ========
 */

#include <xdc/std.h>

#include <xdc/runtime/xdc.h>
#include <xdc/runtime/Types.h>
#include <ti/uia/runtime/LogSnapshot__prologue.h>
//#include <ti/uia/runtime/package/package.defs.h>

#include <xdc/runtime/Text.h>
#include <xdc/runtime/ILogger.h>
#include <ti/uia/events/UIASnapshot.h>
//#include <ti/uia/runtime/IUIATraceSyncClient.h>
//#include <ti/uia/runtime/CtxFilter.h>
//#include <ti/uia/runtime/LoggerTypes.h>
#include <xdc/runtime/Types.h>
#include <xdc/runtime/Diags.h>

extern UInt32 LogSnapshot_getSnapshotId();

/*
 * ======== AUXILIARY DEFINITIONS ========
 */

/* EventRec */
typedef struct _ti_uia_runtime_LogSnapshot_EventRec {
    xdc_runtime_Types_Timestamp64 tstamp;
    xdc_Bits32 serial;
    xdc_runtime_Types_Event evt;
    xdc_Int snapshotId;
    xdc_IArg fmt;
    xdc_Ptr pData;
    xdc_UInt16 lengthInMAUs;
} ti_uia_runtime_LogSnapshot_EventRec;

/*
 * ======== INTERNAL DEFINITIONS ========
 */


/*
 * ======== MODULE-WIDE CONFIGS ========
 */


/*
 * ======== FUNCTION DECLARATIONS ========
 */


/*
 * ======== CONVERTORS ========
 */

/*
 * ======== SYSTEM FUNCTIONS ========
 */


/*
 * ======== EPILOGUE ========
 */

#include <ti/uia/runtime/LogSnapshot__epilogue.h>

#ifdef ti_uia_runtime_LogSnapshot__top__
#undef __nested__
#endif

#endif /* ti_uia_runtime_LogSnapshot__include */


/*
 * ======== STATE STRUCTURES ========
 */



/*
 * ======== PREFIX ALIASES ========
 */

#if !defined(__nested__) && !defined(ti_uia_runtime_LogSnapshot__nolocalnames)

#ifndef ti_uia_runtime_LogSnapshot__localnames__done
#define ti_uia_runtime_LogSnapshot__localnames__done

/* module prefix */
#define LogSnapshot_injectIntoTraceFxn ti_uia_runtime_LogSnapshot_injectIntoTraceFxn
#define LogSnapshot_maxLengthInMAUs ti_uia_runtime_LogSnapshot_maxLengthInMAUs
#define LogSnapshot_isTimestampEnabled ti_uia_runtime_LogSnapshot_isTimestampEnabled
#define LogSnapshot_loggerDefined ti_uia_runtime_LogSnapshot_loggerDefined
#define LogSnapshot_loggerObj ti_uia_runtime_LogSnapshot_loggerObj
#define LogSnapshot_loggerMemoryRangeFxn ti_uia_runtime_LogSnapshot_loggerMemoryRangeFxn
#define LogSnapshot_putMemoryRange ti_uia_runtime_LogSnapshot_putMemoryRange
#define LogSnapshot_writeMemoryBlock ti_uia_runtime_LogSnapshot_writeMemoryBlock
#define LogSnapshot_writeString ti_uia_runtime_LogSnapshot_writeString
#define LogSnapshot_writeNameOfReference ti_uia_runtime_LogSnapshot_writeNameOfReference

#endif /* ti_uia_runtime_LogSnapshot__localnames__done */
#endif
/*
 *  @(#) ti.uia.runtime; 1, 0, 0, 2,1; 2-13-2012 15:15:26; /db/vtree/library/trees/uia/uia-c35/src/ xlibrary

 */

