/* 
 *  Copyright (c) 2008 Texas Instruments. All rights reserved. 
 *  This program and the accompanying materials are made available under the 
 *  terms of the Eclipse Public License v1.0 and Eclipse Distribution License
 *  v. 1.0 which accompanies this distribution. The Eclipse Public License is
 *  available at http://www.eclipse.org/legal/epl-v10.html and the Eclipse
 *  Distribution License is available at 
 *  http://www.eclipse.org/org/documents/edl-v10.php.
 *
 *  Contributors:
 *      Texas Instruments - initial implementation
 * */
#ifndef xdc_runtime_Types__include
#define xdc_runtime_Types__include

#ifndef __nested__
#define __nested__
#define xdc_runtime_Types__top__
#endif

#ifdef __cplusplus
#define __extern extern "C"
#else
#define __extern extern
#endif

#define xdc_runtime_Types___VERS 150


/*
 * ======== INCLUDES ========
 */

#include <xdc/std.h>

#include <xdc/runtime/xdc.h>
#include <xdc/runtime/Types__prologue.h>
/*
 * ======== AUXILIARY DEFINITIONS ========
 */

/* ModuleId */
typedef xdc_Bits16 xdc_runtime_Types_ModuleId;

/* DiagsMask */
typedef xdc_Bits16 xdc_runtime_Types_DiagsMask;

/* Event */
typedef xdc_Bits32 xdc_runtime_Types_Event;

/* EventId */
typedef xdc_runtime_Types_Event xdc_runtime_Types_EventId;

/* RopeId */
typedef xdc_Bits16 xdc_runtime_Types_RopeId;

/* LogEvent */
typedef xdc_Bits32 xdc_runtime_Types_LogEvent;

/* Timestamp64 */
typedef struct _xdc_runtime_Types_Timestamp64 {
    xdc_Bits32 hi;
    xdc_Bits32 lo;
} xdc_runtime_Types_Timestamp64;

/* FreqHz */
typedef struct _xdc_runtime_Types_FreqHz {
    xdc_Bits32 hi;
    xdc_Bits32 lo;
} xdc_runtime_Types_FreqHz;

/*
 * ======== INTERNAL DEFINITIONS ========
 */

/* LoggerFxn0 */
typedef xdc_Void (*xdc_runtime_Types_LoggerFxn0)(xdc_Ptr, xdc_runtime_Types_LogEvent, xdc_runtime_Types_ModuleId);

/* LoggerFxn1 */
typedef xdc_Void (*xdc_runtime_Types_LoggerFxn1)(xdc_Ptr, xdc_runtime_Types_LogEvent, xdc_runtime_Types_ModuleId, xdc_IArg);

/* LoggerFxn2 */
typedef xdc_Void (*xdc_runtime_Types_LoggerFxn2)(xdc_Ptr, xdc_runtime_Types_LogEvent, xdc_runtime_Types_ModuleId, xdc_IArg, xdc_IArg);

/* LoggerFxn4 */
typedef xdc_Void (*xdc_runtime_Types_LoggerFxn4)(xdc_Ptr, xdc_runtime_Types_LogEvent, xdc_runtime_Types_ModuleId, xdc_IArg, xdc_IArg, xdc_IArg, xdc_IArg);

/* LoggerFxn8 */
typedef xdc_Void (*xdc_runtime_Types_LoggerFxn8)(xdc_Ptr, xdc_runtime_Types_LogEvent, xdc_runtime_Types_ModuleId, xdc_IArg, xdc_IArg, xdc_IArg, xdc_IArg, xdc_IArg, xdc_IArg, xdc_IArg, xdc_IArg);

/*
 * ======== EPILOGUE ========
 */

#include <xdc/runtime/Types__epilogue.h>

#ifdef xdc_runtime_Types__top__
#undef __nested__
#endif

#endif /* xdc_runtime_Types__include */

/*
 * ======== PREFIX ALIASES ========
 */

#if !defined(__nested__) && !defined(xdc_runtime_Types__nolocalnames)

#ifndef xdc_runtime_Types__localnames__done
#define xdc_runtime_Types__localnames__done

/* module prefix */
#define Types_ModuleId xdc_runtime_Types_ModuleId
#define Types_DiagsMask xdc_runtime_Types_DiagsMask
#define Types_Event xdc_runtime_Types_Event
#define Types_EventId xdc_runtime_Types_EventId
#define Types_RopeId xdc_runtime_Types_RopeId
#define Types_CreatePolicy xdc_runtime_Types_CreatePolicy
#define Types_Label xdc_runtime_Types_Label
#define Types_Site xdc_runtime_Types_Site
#define Types_Timestamp64 xdc_runtime_Types_Timestamp64
#define Types_FreqHz xdc_runtime_Types_FreqHz
#define Types_RegDesc xdc_runtime_Types_RegDesc
#define Types_LogEvent xdc_runtime_Types_LogEvent
#define Types_LoggerFxn0 xdc_runtime_Types_LoggerFxn0
#define Types_LoggerFxn1 xdc_runtime_Types_LoggerFxn1
#define Types_LoggerFxn2 xdc_runtime_Types_LoggerFxn2
#define Types_LoggerFxn4 xdc_runtime_Types_LoggerFxn4
#define Types_LoggerFxn8 xdc_runtime_Types_LoggerFxn8
#define Types_Vec xdc_runtime_Types_Vec
#define Types_Link xdc_runtime_Types_Link
#define Types_InstHdr xdc_runtime_Types_InstHdr
#define Types_PrmsHdr xdc_runtime_Types_PrmsHdr
#define Types_Base xdc_runtime_Types_Base
#define Types_SysFxns xdc_runtime_Types_SysFxns
#define Types_SysFxns2 xdc_runtime_Types_SysFxns2
#define Types_STATIC_POLICY xdc_runtime_Types_STATIC_POLICY
#define Types_CREATE_POLICY xdc_runtime_Types_CREATE_POLICY
#define Types_DELETE_POLICY xdc_runtime_Types_DELETE_POLICY
#define Types_getEventId xdc_runtime_Types_getEventId
#define Types_getModuleId xdc_runtime_Types_getModuleId
#define Types_makeEvent xdc_runtime_Types_makeEvent
/*
#define Types_Module_name xdc_runtime_Types_Module_name
#define Types_Module_id xdc_runtime_Types_Module_id
#define Types_Module_startup xdc_runtime_Types_Module_startup
#define Types_Module_startupDone xdc_runtime_Types_Module_startupDone
#define Types_Module_hasMask xdc_runtime_Types_Module_hasMask
#define Types_Module_getMask xdc_runtime_Types_Module_getMask
#define Types_Module_setMask xdc_runtime_Types_Module_setMask
#define Types_Object_heap xdc_runtime_Types_Object_heap
#define Types_Module_heap xdc_runtime_Types_Module_heap
*/
#endif /* xdc_runtime_Types__localnames__done */
#endif
